Status: Closed   

Priority: Normal   

Category:    

Customer: DAIMLER Product Issue

Numbers:

 

Department: MBRDI Affected Products: ADTF Calibration Toolbox 2.7.0

Requester's Priority: Normal Platform: Ubuntu 14.04 64bit

Support Level: 2nd Level Topic: CalibrationTB::XCP

Resolution: Solved Issue FAQ Links:  

Description

Support Anfrage:

I am trying use to ADTF calibration toolbox for calibration through XCPoE.

Does this support Seed and Key security mechanism? If so, how do I provide my specific algorithm to XCP_codec_filter?

Sharing any information regarding this would be helpful..

Lösung:

Yes, this is possible under the following conditions:

1) The DLL must be in the same path as the A2L File

2) The name must be inside of the A2L File

3) The DLL must be the same plattform and compiler and architecture as your ADTF (e.g. 64Bit)

(for linux .so instead of .dll)

That's it. Afterwards the unlock will automatically be achieved as can be seen in the console logging.

History

#1 - 2019-04-01 09:01 - hidden

- Status changed from New to In Progress

- Topic set to CalibrationTB::XCP

#2 - 2019-04-01 09:45 - hidden

- Status changed from In Progress to Customer Feedback Required

Hello Murali Sriram,

yes, this is possible under the following conditions:

1) The DLL must be in the same path as the A2L File

2) The name must be inside of the A2L File

3) The DLL must be the same plattform and compiler and architecture as your ADTF (e.g. 64Bit)

That's it. Afterwards the unlock will automatically be achieved as can be seen in the console logging.

Please let us know if this solves your request and if we can close the ticket.

Thank you

#3 - 2019-04-01 10:18 - hidden

Is Linux also supported?

For  linux, it should be the *.so file right?

#4 - 2019-04-01 10:29 - hidden
Hello Murali,

Is Linux also supported?

For linux, it should be the *.so file right?

 Yes, same conditions as Windows, replacing .dll with .so

#5 - 2019-04-01 10:29 - hidden

ok. thank you.. then we can close this ticket

#6 - 2019-04-01 10:35 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#7 - 2019-04-03 09:27 - hidden

- Project changed from 9 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
